Touchpad not working on ASUS ZenBook UX305CA-FC037T

Bug #1514066 reported by zoulou77 on 2015-11-07
122
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
High
Unassigned

Bug Description

Touchpad is not working on a new installation of ubuntu 15.10
HW is ok; was tested on W10.

Same issue as described here:
http://askubuntu.com/questions/693701/touchpad-not-workingon-asus-ux305-under-ubuntu-15-10

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-17-generic 4.2.0-17.21
ProcVersionSignature: Ubuntu 4.2.0-17.21-generic 4.2.3
Uname: Linux 4.2.0-17-generic x86_64
ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tmp 1724 F.... pulseaudio
CurrentDesktop: Unity
Date: Sat Nov 7 13:29:42 2015
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=38e264e5-e90e-4b33-a8a3-302a4327fe70
InstallationDate: Installed on 2015-11-07 (0 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 8087:0a2a Intel Corp.
 Bus 001 Device 002: ID 064e:9700 Suyin Corp. Asus Integrated Webcam
 Bus 001 Device 004: ID 046d:c06c Logitech, Inc. Optical Mouse
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX305CA
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-17-generic.efi.signed root=UUID=3d3973ea-7464-4c42-8e63-e7d3f13cf052 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-17-generic N/A
 linux-backports-modules-4.2.0-17-generic N/A
 linux-firmware 1.149.1
SourcePackage: linux
UdevLog: Error: [Errno 2] Aucun fichier ou dossier de ce type: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/11/2015
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX305CA.201
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX305CA
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX305CA.201:bd09/11/2015:svnASUSTeKCOMPUTERINC.:pnUX305CA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX305CA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: UX305CA
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

zoulou77 (zoulou77) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.3 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
zoulou77 (zoulou77) wrote :

Thank you.

Bug is still there on:

Linux tmp 4.3.0-040300-generic #201511020949 SMP Mon Nov 2 14:50:44 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

tags: added: kernel-bug-exists-upstream
zoulou77 (zoulou77) on 2015-11-10
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

zoulou77, could you please post the results of the following terminal command:
usb-devices

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Charles (zcbtmb) wrote :

output form usb-devices

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh=12
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=04.02
S: Manufacturer=Linux 4.2.0-18-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=045e ProdID=07b1 Rev=06.74
S: Manufacturer=Microsoft
S: Product=Microsoft® Nano Transceiver v1.0
C: #Ifs= 3 Cfg#= 1 Atr=a0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=03(HID ) Sub=01 Prot=01 Driver=usbhid
I: If#= 1 Alt= 0 #EPs= 1 Cls=03(HID ) Sub=01 Prot=02 Driver=usbhid
I: If#= 2 Alt= 0 #EPs= 1 Cls=03(HID ) Sub=00 Prot=00 Driver=usbhid

T: Bus=01 Lev=01 Prnt=01 Port=04 Cnt=02 Dev#= 3 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=064e ProdID=9700 Rev=01.01
S: Manufacturer=SuYin
S: Product=USB2.0 UVC HD Webcam
S: SerialNumber=HF1019-T838-SN03-Rev0101
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T: Bus=01 Lev=01 Prnt=01 Port=08 Cnt=03 Dev#= 4 Spd=12 MxCh= 0
D: Ver= 2.01 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=0a2a Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 6
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=04.02
S: Manufacturer=Linux 4.2.0-18-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=02 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#= 2 Spd=5000 MxCh= 0
D: Ver= 3.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 9 #Cfgs= 1
P: Vendor=13fe ProdID=5200 Rev=01.10
S: Manufacturer=MUSHKIN
S: Product=MKNUFDAM32GB
S: SerialNumber=070B4A099B8A6E43
C: #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=504mA
I: If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage

Charles (zcbtmb) wrote :
Download full text (3.9 KiB)

/proc/bus/input/devices
output made from from VT

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
U: Uniq=
H: Handlers=event0
B: PROP=0
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
U: Uniq=
H: Handlers=kbd event1
B: PROP=0
B: EV=3
B: KEY=4000 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3 leds
B: PROP=0
B: EV=120013
B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input4
U: Uniq=
H: Handlers=kbd event4
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0003 Vendor=045e Product=07b1 Version=0111
N: Name="Microsoft Microsoft® Nano Transceiver v1.0"
P: Phys=usb-0000:00:14.0-1/input0
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:045E:07B1.0001/input/input5
U: Uniq=
H: Handlers=sysrq kbd event5 leds
B: PROP=0
B: EV=120013
B: KEY=1000000000007 ff800000000007ff febeffdff3cfffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0003 Vendor=045e Product=07b1 Version=0111
N: Name="Microsoft Microsoft® Nano Transceiver v1.0"
P: Phys=usb-0000:00:14.0-1/input1
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.1/0003:045E:07B1.0002/input/input6
U: Uniq=
H: Handlers=mouse0 event6
B: PROP=0
B: EV=17
B: KEY=1f0000 0 0 0 0
B: REL=1c3
B: MSC=10

I: Bus=0003 Vendor=045e Product=07b1 Version=0111
N: Name="Microsoft Microsoft® Nano Transceiver v1.0"
P: Phys=usb-0000:00:14.0-1/input2
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.2/0003:045E:07B1.0003/input/input7
U: Uniq=
H: Handlers=sysrq kbd event7 js0
B: PROP=0
B: EV=10001f
B: KEY=3f0003007f 0 0 4c3ffff17aff32d bf54445600000000 c00000000000001 130f938b17c007 ffff7bfad951dfff febeffdfffefffff fffffffffffffffe
B: REL=40
B: ABS=ffffff01000701ff
B: MSC=10

I: Bus=0019 Vendor=0000 Product=0000 Version=0000
N: Name="Asus WMI hotkeys"
P: Phys=asus-nb-wmi/input0
S: Sysfs=/devices/platform/asus-nb-wmi/input/input8
U: Uniq=
H: Handlers=rfkill kbd event8
B: PROP=0
B: EV=100013
B: KEY=80000 0 800000000000 0 0 a1606f00900000 8200027800501000 e000000000000 0
B: MSC=10

I: Bus=0003 Vendor=064e Product=9700 Version=0101
N: Name="USB2.0 UVC HD Webcam"
P: Phys=usb-0000:00:14.0-5/button
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.0/input/input9
U: Uniq=
H: Handlers=kbd event9
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Headphone"
P: Phys=ALSA
S: Sysfs=...

Read more...

zoulou77 (zoulou77) wrote :

The results of the usb-devices

zoulou77, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate venue (Dmitry Torokhov CC linux-input)?

Please provide a direct URL to your newly made report when it becomes available so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Medium → High
status: Incomplete → Triaged
Download full text (3.2 KiB)

Just filed the ubuntu-bug linux report and (hopefully) subscribed you to it.

Charles

On Fri, Nov 13, 2015 at 6:32 AM, Christopher M. Penalver <
<email address hidden>> wrote:

> Charles, it will help immensely if you filed a new report via a terminal:
> ubuntu-bug linux
>
> Please feel free to subscribe me to it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1514066
>
> Title:
> Touchpad not working on ASUS ZenBook UX305CA-FC037T
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> Touchpad is not working on a new installation of ubuntu 15.10
> HW is ok; was tested on W10.
>
> Same issue as described here:
>
> http://askubuntu.com/questions/693701/touchpad-not-workingon-asus-ux305-under-ubuntu-15-10
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-17-generic 4.2.0-17.21
> ProcVersionSignature: Ubuntu 4.2.0-17.21-generic 4.2.3
> Uname: Linux 4.2.0-17-generic x86_64
> ApportVersion: 2.19.1-0ubuntu4
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: tmp 1724 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sat Nov 7 13:29:42 2015
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=38e264e5-e90e-4b33-a8a3-302a4327fe70
> InstallationDate: Installed on 2015-11-07 (0 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64
> (20151021)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 003: ID 8087:0a2a Intel Corp.
> Bus 001 Device 002: ID 064e:9700 Suyin Corp. Asus Integrated Webcam
> Bus 001 Device 004: ID 046d:c06c Logitech, Inc. Optical Mouse
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: ASUSTeK COMPUTER INC. UX305CA
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-17-generic.efi.signed
> root=UUID=3d3973ea-7464-4c42-8e63-e7d3f13cf052 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-17-generic N/A
> linux-backports-modules-4.2.0-17-generic N/A
> linux-firmware 1.149.1
> SourcePackage: linux
> UdevLog: Error: [Errno 2] Aucun fichier ou dossier de ce type:
> '/var/log/udev'
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/11/2015
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX305CA.201
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: UX305CA
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrUX305CA.201:bd09/11/2015:svnASUSTeKCOMPUTERINC.:pnUX305CA:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX305CA:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
> dmi.product.name: UX305CA
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK COMPUTER INC.
>
> To manage notifications about this bug go to:
> https://bu...

Read more...

The bug still exists on the latest mainline:

Linux tree 4.4.0-rc1-phoronix #3 SMP Wed Nov 18 10:31:11 EST 2015 x86_64 x86_64 x86_64 GNU/Linux

Asus Zenboox UX305CA-FC022T

Pelle van der Scheer, to track your hardware, it will be most helpful if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

zoulou77 (zoulou77) wrote :

I've tried to report upstream but was unable to send the report to the list.
In the meantime someone on Fedora has described the same issue on the linux-input list:

http://www.spinics.net/lists/linux-input/msg42184.html

ken78724 (koymkg) wrote :

touchpad and arrow on my new ASUS M1551 running 15.10 wily. mine may be regards not setting touch and key recognition amid the original cyrpt login and set up.

I board a flight to Oakland shortly and have not studied how to report problems I face on my ASUS used only two times after writing over Win 8.1 trying to upgrade to win 10, Makes a 76 year old fellow say "Ouch!"

surely am glad to see all that you're doing to get the ASUS bug touchpad problem solved. I had to give up not being able to save a doc nor simply move my arrow from one part of a sentence [or paragrap] to another

please include me as an interested ASUS touchpad person. <email address hidden>.

ken78724, given you have a different model, you may also have a different touchpad model also. Hence, it would be best to file a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

zoulou77 (zoulou77) wrote :

I've tried kernel 4.4 "linux-image-4.4.0-040400-generic_4.4.0" and this kernel doesn't work.
Then I've installed "linux-image-4.4.0-rc8-touchpad_4.4.0-rc8" as described in " linux-kernel-bugs #108581". It works as expected! Thanks a lot.

tags: added: kernel-bug-exists-upstream-4.3
tags: added: kernel-fixed-upstream kernel-fixed-upstream-4.4-rc8 needs-reverse-bisect
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Triaged → Incomplete

Hi Christopher, it think you're on the wrong track.

linux-image-4.4.0-rc8-touchpad_4.4.0-rc8 is just the rc8 kernel with the patches for the touchpad driver

downloaded here: http://www.godisbeautiful.net/4.4rc8deb/

the fix will go mainline in 4.5

tags: added: kernel-bug-exists-upstream-4.4
removed: kernel-bug-exists-upstream-4.3 kernel-fixed-upstream-4.4-rc8
Changed in linux (Ubuntu):
status: Incomplete → Triaged

The touchpad is working on 4.5-rc1

tags: added: kernel-fixed-upstream-4.5-rc1

Works for me on 4.5-rc1 but not on 4.5-rc5

Works for me with kernel 4.5.0-040500-generic in Mint 17.3

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.